<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
</head>

<body>
	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active">
        			<a class="nav-link" th:href="@{/eventi/list(username=${#authentication.name})}">I miei eventi</a>
      			</li>
			</ul>
			<form class="form-inline my-2 my-lg-0" >
				<a class="btn btn-outline-success my-2 my-sm-0" th:href="@{/eventi/ricerca-form}" >Search</a>
			</form>
		</div>
	</nav>

	<div class="container">
		<br><br><br><br>
		
		<h2>Eventi</h2>
		<hr><br><br>

		<table class="table table-bordered table-striped">
			<thead class="thead-dark">
				<tr>
					<th>Titolo</th>
					<th>Descrizione</th>
					<th>Settore</th>
					<th>Luogo</th>
					<th>Data</th>
					<th>Universita</th>
					<th>Action</th>
				</tr>
			</thead>

			<tbody>
				<tr th:each="temp : ${eventi}">
					<td th:text="${temp.titolo}" />
					<td th:text="${temp.desc}" />
					<td th:text="${temp.settore}" />
					<td th:text="${temp.luogo}" />
					<td th:text="${temp.data}" />
					<td th:text="${temp.uniEv.nome}" />
					<td><a 
						th:href="@{/eventi/info(idEvento=${temp.id}, username=${#authentication.name})}"
						class="btn btn-info btn-sm"><span class="mr-2 ml-2" >Info</span></a>
						<!-- 							<a th:href="@{/employees/delete(employeeId=${tempEmp.id})}" -->
						<!-- 								class="btn btn-danger btn-sm" onclick="if(!(confirm('Are you sure you want to delete this employee?'))) return false">Delete</a>	 -->
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</body>
</html>